aboutsummaryrefslogtreecommitdiffstats
path: root/admin
diff options
context:
space:
mode:
authorPaul Eggert <[email protected]>2014-05-16 08:49:13 -0700
committerPaul Eggert <[email protected]>2014-05-16 08:49:13 -0700
commitc56327b55d2e75fb0246c9a858e46dd5670699d4 (patch)
tree0025149767d9633d3cfe20c8ff523bd7a0b22b84 /admin
parent1e217552d247b8b64cda5ac93805f039071204fc (diff)
Don't require pkg-config when building from repository.
* INSTALL: Prefer './configure FOO=BAR' to 'FOO=BAR ./configure'. * INSTALL.REPO: pkg-config is no longer required to build from the repository. * autogen.sh: Don't check for pkg-config. (progs): Remove pkg-config. (pkg_config_min, AUTORECONF_ENV, env_space, ACLOCAL_PATH): Remove. All uses removed. * m4/pkg.m4: New file, built by admin/merge-pkg-config. * configure.ac: Remove unnecessary m4_pattern_forbid of ^PKG_ and an AC_ARG_VAR of PKG_CONFIG_PATH. pkg.m4 does that for us. (EMACS_CHECK_MODULES): Remove workaround for old pkg-config bug, as we use pkg.m4 from a newer pkg-config. * admin/merge-pkg-config: New script. * admin/notes/copyright: Update for m4/*.m4, in particular m4/pkg.m4. * etc/NEWS: Prefer './configure FOO=BAR' to 'FOO=BAR ./configure'. * etc/PROBLEMS (Build-time-problems): Remove pkg-config problem that is no longer an issue. * nt/INSTALL: Remove no-longer-needed notes about pkg-config.
Diffstat (limited to 'admin')
-rw-r--r--admin/ChangeLog6
-rwxr-xr-xadmin/merge-pkg-config63
-rw-r--r--admin/notes/copyright5
3 files changed, 73 insertions, 1 deletions
diff --git a/admin/ChangeLog b/admin/ChangeLog
index 5eeec00cbd..0981e0eaf1 100644
--- a/admin/ChangeLog
+++ b/admin/ChangeLog
@@ -1,3 +1,9 @@
+2014-05-16 Paul Eggert <[email protected]>
+
+ Don't require pkg-config when building from repository.
+ * merge-pkg-config: New script.
+ * notes/copyright: Update for m4/*.m4, in particular m4/pkg.m4.
+
2014-05-13 Paul Eggert <[email protected]>
* merge-gnulib: Defer to autogen.sh for ACLOCAL_PATH computation.
diff --git a/admin/merge-pkg-config b/admin/merge-pkg-config
new file mode 100755
index 0000000000..fd03a441b1
--- /dev/null
+++ b/admin/merge-pkg-config
@@ -0,0 +1,63 @@
+#! /bin/sh
+# Merge pkg-config macros into Emacs sources.
+# Typical usage:
+#
+# admin/merge-pkg-config
+
+# Copyright 2014 Free Software Foundation, Inc.
+
+# This file is part of GNU Emacs.
+
+# GNU Emacs is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# GNU Emacs is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with GNU Emacs. If not, see <http://www.gnu.org/licenses/>.
+
+# written by Paul Eggert
+
+{
+ # Maybe ACLOCAL_PATH is already set-up.
+ oIFS=$IFS
+ IFS=:
+ for dir in $ACLOCAL_PATH ''; do
+ test -n "$dir" && test -r "$dir/pkg.m4" && break
+ done
+ IFS=$oIFS
+
+ test -n "$dir"
+} || {
+ # Use the pkg.m4 installed where aclocal knows about it.
+ # Maybe we are running our own aclocal, which doesn't know where
+ # the standard pkg.m4 is installed, so try running all the
+ # aclocal programs in our PATH.
+ oIFS=$IFS
+ IFS=:
+ for dir in $PATH ''; do
+ if test -n "$dir" && test -x "$dir/aclocal"; then
+ dir=$("$dir/aclocal" --print-ac-dir) && test -r "$dir/pkg.m4" && break
+ fi
+ done
+ IFS=$oIFS
+
+ test -n "$dir"
+} || {
+ echo >&2 "$0: cannot find pkg.m4"
+ exit 1
+}
+
+test -d m4 || {
+ echo >&2 "$0: please run this command in the main source directory"
+ exit 1
+}
+
+echo >&2 "$0: copying $dir/pkg.m4 to m4/pkg.m4"
+
+cp $dir/pkg.m4 m4
diff --git a/admin/notes/copyright b/admin/notes/copyright
index 9b4fd55c61..ebef063303 100644
--- a/admin/notes/copyright
+++ b/admin/notes/copyright
@@ -137,7 +137,10 @@ GNUstep/Emacs.base/Resources/Info-gnustep.plist
aclocal.m4
configure
m4/*.m4
- - copyright FSF, with unlimited permission to copy, distribute and modify
+ - These files are copyright FSF, with unlimited permission to copy,
+ distribute and modify, so long as the copyright notice is preserved.
+ Exception: m4/pkg.m4 is copyright Scott James Remnant; it is
+ distributed under the same terms as for the rest of Emacs.
lib/Makefile.in
- copyright FSF, with MIT-like license